Subject: Re: bug#65348: INITIAL-INPUT in completing-read repeats same entry twice consecutively

From: Heime <[email-masked]>
Date: Fri, 18 Aug 2023 12:27:47 +0000

------- Original Message -------
On Saturday, August 19th, 2023 at 12:14 AM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Fri, 18 Aug 2023 08:40:12 +0000
> > From: uzibalqa [email-masked]
> > Cc: Heime [email-masked], [email-masked]
> > 
> > > The Emacs development enhances the existing functionality, and that
> > > inevitably makes some situations more complex to handle. That is the
> > > price for added functionality, and no one has yet found a way of
> > > making software more flexible and powerful without also making it more
> > > complex.
> > > 
> > > > > > > Why do you need INITIAL?
> > > > > > 
> > > > > > I want the user to see a default without having him to get it with the bloody "M-n".
> > > > > 
> > > > > That's not how you show the default to the user. The way to show the
> > > > > default to the user is to include it in the prompt, like so:
> > > > > 
> > > > > Type your choice (default foo):
> > > > 
> > > > I do not want the user to type it, but for it to be displayed automatically.
> > > > And if theyy do not want the default, they can step to the next possibility
> > > > in COLLECTION.
> > > 
> > > Then you will have to override the value of
> > > minibuffer-default-add-function with a function of your own.
> > 
> > You see how things have become even more complicated now. How about
> > providing the feature that there was ?
> 
> I explained above why this happens, so there's no need to reiterate.

Why have users make new functions to override the value of 
'minibuffer-default-add-function' when you can have the sensible feature
that many would like to use available !